# Uses of Class
serp.bytecode.SourceFile

Packages that use SourceFile
Package
Description
serp.bytecode
Bytecode Manipuation
serp.bytecode.visitor
Bytecode Visitor

## Uses of SourceFile in serp.bytecode

Methods in serp.bytecode that return SourceFile
Modifier and Type
Method
Description
`SourceFile`
BCClass.`getSourceFile(boolean add)`
Return source file information for the class.

## Uses of SourceFile in serp.bytecode.visitor

Methods in serp.bytecode.visitor with parameters of type SourceFile
Modifier and Type
Method
Description
`void`
BCVisitor.`enterSourceFile(SourceFile obj)`
`void`
PrettyPrintVisitor.`enterSourceFile(SourceFile obj)`
`void`
BCVisitor.`exitSourceFile(SourceFile obj)`